package com.alterdekim.flash.decompiler.util;

import lzma.sdk.lzma.Decoder;
import lzma.streams.LzmaInputStream;
import org.apache.commons.io.IOUtils;

import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.zip.InflaterInputStream;

public class Compression {
    public static byte[] decompressDEFLATE(byte[] data) throws IOException {
        return IOUtils.toByteArray(new InflaterInputStream(new ByteArrayInputStream(data)));
    }

    public static byte[] decompressLZMA(byte[] data) throws IOException {
        try (LzmaInputStream inputStream = new LzmaInputStream(
                new BufferedInputStream(new ByteArrayInputStream(data)),
                new Decoder())) {
            return IOUtils.toByteArray(inputStream);
        }
    }
}
